Please upgrade your Camfrog clients and server versions as soon as possible.  Starting today old Camfrog clients and servers will begin to be blocked so all users can participate in our new audio modes, and use our most up to date video technology.

Camfrog Server:  Please use version 5.0.282 or newer.

Camfrog Client:  Please use our newest client 6.0.110.  A new Mac client will be out soon.

Upgrade your Camfrog Client & Camfrog Server as soon as possible.

Advertisements
%d bloggers like this: